export const makeInjectScript = (platform, version, payload = "{}") => {
    return `
    let lastScrollTop = 0
  
  window.addEventListener('touchstart', function (e) {
      window.ReactNativeWebView.postMessage('enable_scroll')
  })
  
  window.addEventListener('touchend', function () {
      let st = window.pageYOffset || document.documentElement.scrollTop
      if (st <= lastScrollTop && window.scrollY === 0) {
          window.ReactNativeWebView.postMessage('disable_scroll')
      }
      lastScrollTop = st <= 0 ? 0 : st
  }, false)
  (function() {
    var bridge = {
      platform: '${platform}',
      version: '${version}',
      payload: '${payload}',
      go: function(url) {
        window.location.href = url;
      },
      message: function(message) {
        const messageObj = { type: 'message', data: message };
        window.ReactNativeWebView.postMessage(JSON.stringify(message));
      },
      scheme: function(scheme) {
        const messageObj = { type: 'scheme', data: scheme };
        window.ReactNativeWebView.postMessage(JSON.stringify(message));
      },
      forceClose: function() {
        const messageObj = { type: 'forceClose' };
        window.ReactNativeWebView.postMessage(JSON.stringify(message));
      }
    }
    window.$bridge = bridge;
    })()
    true; // note: this is required, or you'll sometimes get silent failures
    `;
};
const bridge = window["$bridge"];
export default bridge;
